MP4v2

Public Member Functions | Public Attributes | List of all members
mp4v2::impl::qtff::ColorParameterBox::Item Class Reference

Data object for colr-box item. More...

`#include <ColorParameterBox.h>`

## Public Member Functions
void | reset ()
| reset to state of newly constructed object.
void | convertFromCSV (const string &csv)
string | convertToCSV () const
string & | convertToCSV (string &buffer) const

## Public Attributes
uint16_t | primariesIndex
| a 16-bit unsigned integer index. More...
uint16_t | transferFunctionIndex
| a 16-bit unsigned integer index. More...
uint16_t | matrixIndex
| a 16-bit unsigned integer index. More...

## Detailed Description

Data object for colr-box item.

This object correlates to one colr-box (Color Parameter Box).

## Member Data Documentation

## ◆ matrixIndex

uint16_t mp4v2::impl::qtff::ColorParameterBox::Item::matrixIndex

a 16-bit unsigned integer index.

Specifies an index into a table specifying the transformation matrix coefficients used to translate between RGB color space values and Y′CbCr values. The table of matrixes specifies the matrix used during the translation.

## ◆ primariesIndex

uint16_t mp4v2::impl::qtff::ColorParameterBox::Item::primariesIndex

a 16-bit unsigned integer index.

Specifies an index into a table specifying the CIE 1931 xy chromaticity coordinates of the white point and the red, green, and blue primaries. The table of primaries specifies the white point and the red, green, and blue primary color points for a video system.

## ◆ transferFunctionIndex

uint16_t mp4v2::impl::qtff::ColorParameterBox::Item::transferFunctionIndex

a 16-bit unsigned integer index.

Specifies an an index into a table specifying the nonlinear transfer function coefficients used to translate between RGB color space values and Y′CbCr values. The table of transfer function coefficients specifies the nonlinear function coefficients used to translate between the stored Y′CbCr values and a video capture or display system.